# maint.mak --- Some extra targets for maintainer
#
# Target are copied from Makefile.in generated automatically by automake 1.4
# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
#
# This file is part of GNU Ghostscript.
#
# GNU Ghostscript is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility to
# anyone for the consequences of using it or for whether it serves any
# particular purpose or works at all, unless he says so in writing.  Refer to
# the GNU General Public License for full details.
#
# Everyone is granted permission to copy, modify and redistribute GNU
# Ghostscript, but only under the conditions described in the GNU General
# Public License.  A copy of this license is supposed to have been given to
# you along with GNU Ghostscript so you can know your rights and
# responsibilities.  It should be in a file named COPYING.  Among other
# things, the copyright notice and this notice must be preserved on all
# copies.


DISTFILES_src=*.cpp *.c *.h *.ps *.asm Fontmap*
DISTFILES_config=*.in *.mak *.cfg *.rps
DISTFILES_doc=*.htm *.1 index.html COPYING
DISTFILES_unix=*.sh *.pl *.el *.tcl
DISTFILES_vms=*.com *.def *.hlp
DISTFILES_windows=*.rc *.icx *.bat
DISTFILES_os2=*.cmd
DISTFILES_misc=bdftops catmake ccgs dvipdf    \
font2c gsbj gsdj gsdj500 gsindent gslj     \
gslp gsnd printafm ridt91.eps rpm-conf.dif \
wftopfa

DISTFILES=$(DISTFILES_src) \
	$(DISTFILES_config) \
	$(DISTFILES_doc) \
	$(DISTFILES_unix) \
	$(DISTFILES_vms) \
	$(DISTFILES_windows) \
	$(DISTFILES_os2) \
	$(DISTFILES_misc)

srcdir = .
distdir = "" # $dist_dir is given via make command arguments.

distdir: $(DISTFILES)
	distdir=`cd $(distdir) && pwd`; \
	DISTFILES=`echo $(DISTFILES)`; \
	if test "x" != "x$(distdir)"; then \
		for file in $$DISTFILES; do \
		  d=$(srcdir); \
		  if test -d $$d/$$file; then \
		    cp -pr $$/$$file $(distdir)/$$file; \
		  else \
		    test -f $(distdir)/$$file \
		    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
		    || cp -p $$d/$$file $(distdir)/$$file || :; \
		  fi; \
		done; \
	else \
		@echo "No distdir is given;"; \
		@echo "Generated tarball will be broken."; \
	fi
.PHONY: distdir
